Bug 1749974 (CVE-2019-15221) - CVE-2019-15221 kernel: Null pointer dereference in the sound/usb/line6/pcm.c
Summary: CVE-2019-15221 kernel: Null pointer dereference in the sound/usb/line6/pcm.c
Keywords:
Status: NEW
Alias: CVE-2019-15221
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1749980
Blocks: 1749984
TreeView+ depends on / blocked
 
Reported: 2019-09-07 01:16 UTC by Pedro Sampaio
Modified: 2019-09-09 16:39 UTC (History)
40 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2019-09-07 01:16:17 UTC
An issue was discovered in the Linux kernel before 5.1.17. There is a
NULL pointer dereference caused by a malicious USB device in the
sound/usb/line6/pcm.c driver.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=3450121997ce872eb7f1248417225827ea249710

References:

https://www.openwall.com/lists/oss-security/2019/08/20/2
https://syzkaller.appspot.com/bug?id=240f09164db2c3d3af33a117c713dc7650dc29d6

Comment 1 Pedro Sampaio 2019-09-07 01:30:57 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1749980]

Comment 2 Justin M. Forbes 2019-09-09 06:58:49 UTC
This was fixed for Fedora with the 5.1.17 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.